/****************************************************************************
**
** Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
** Contact: http://www.qt-project.org/legal
**
** This file is part of the examples of the Qt Mobility Components.
**
** $QT_BEGIN_LICENSE:BSD$
** You may use this file under the terms of the BSD license as follows:
**
** "Redistribution and use in source and binary forms, with or without
** modification, are permitted provided that the following conditions are
** met:
**   * Redistributions of source code must retain the above copyright
**     notice, this list of conditions and the following disclaimer.
**   * Redistributions in binary form must reproduce the above copyright
**     notice, this list of conditions and the following disclaimer in
**     the documentation and/or other materials provided with the
**     distribution.
**   * Neither the name of Digia Plc and its Subsidiary(-ies) nor the names
**     of its contributors may be used to endorse or promote products derived
**     from this software without specific prior written permission.
**
**
** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
** "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
** LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
** A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
** OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
** SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
** LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
** DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
** THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
** (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
** OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE."
**
** $QT_END_LICENSE$
**
****************************************************************************/

#include <QApplication>
#include <QStringList>
#include <QMessageBox>

#include "servicebrowser.h"

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    QStringList arglist = app.arguments();
    QString additionallibpath;
    for(int i = 0; i < arglist.count(); i++){
        if(arglist[i].toLower() == "-help" || arglist[i] == "-?"
            || arglist[i].toLower() == "help" || arglist[i] == "?"){
                QMessageBox msgBox;
                msgBox.setText("Following arguments are possible:\t\t");
                msgBox.setInformativeText("-path\tPath to additional service libraries.\ne.g.: -path C:/plugins/bin");
                msgBox.setStandardButtons(QMessageBox::Ok);
                msgBox.exec();
                return 0;
        }
        if(arglist[i] == "-path" && i < (arglist.count() - 1)){
            i++;
            additionallibpath = arglist[i];
        }
    }
    //add additional service library path
    if(additionallibpath.count() > 0)
        QCoreApplication::addLibraryPath(additionallibpath);

    ServiceBrowser browser;
    browser.show();
#ifdef Q_OS_SYMBIAN
    browser.showMaximized();
#else
    browser.show();
#endif

    return app.exec();
}
